Package ghidra.app.plugin.debug.dbtable

# Class ByteColumnAdapter

java.lang.Object
docking.widgets.table.AbstractDynamicTableColumn<ROW_TYPE,COLUMN_TYPE,Object>
docking.widgets.table.AbstractDynamicTableColumnStub<DBRecord,Object>
ghidra.app.plugin.debug.dbtable.ByteColumnAdapter

All Implemented Interfaces:
  `DynamicTableColumn<DBRecord,Object,Object>`

public class ByteColumnAdapter extends AbstractDynamicTableColumnStub<DBRecord,Object>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected int`
  `column`
  `protected LongRenderer`
  `longRenderer`

  ### Fields inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `FLOATING_POINT_PRECISION_SETTING, FLOATING_POINT_SETTINGS_DEFINITIONS, INTEGER_RADIX_SETTING, INTEGER_SETTINGS_DEFINITIONS, INTEGER_SIGNEDNESS_MODE_SETTING, NO_SETTINGS_DEFINITIONS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected String`
  `getByteString(byte b)`
  `Class<Object>`
  `getColumnClass()`
  Determines the class of object that is associated with this field (column).
  `String`
  `getColumnName()`
  Determines the unique column heading that may be used to identify a column instance.
  `int`
  `getColumnPreferredWidth()`
  Returns the preferred width for this column.
  `LongRenderer`
  `getColumnRenderer()`
  Returns the optional cell renderer for this column; null if no renderer is used.
  `Object`
  `getValue(DBRecord rowObject, Settings settings, ServiceProvider serviceProvider)`

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumnStub

  `getValue`

  ### Methods inherited from class docking.widgets.table.AbstractDynamicTableColumn

  `equals, getColumnDescription, getColumnDisplayName, getComparator, getComparator, getHeaderRenderer, getMaxLines, getSettingsDefinitions, getSupportedRowType, getUniqueIdentifier, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### longRenderer

    protected LongRenderer longRenderer

  - ### column

    protected int column

- ## Method Details

  - ### getColumnPreferredWidth

    public int getColumnPreferredWidth()
    Description copied from interface: `DynamicTableColumn`
    Returns the preferred width for this column. Column should either return a valid positive preferred size or -1.
    Specified by:
      `getColumnPreferredWidth` in interface `DynamicTableColumn<DBRecord,Object,Object>`
    Overrides:
      `getColumnPreferredWidth` in class `AbstractDynamicTableColumn<DBRecord,Object,Object>`
    Returns:
      the preferred width for this column.

  - ### getColumnRenderer

    public LongRenderer getColumnRenderer()
    Description copied from interface: `DynamicTableColumn`
    Returns the optional cell renderer for this column; null if no renderer is used.

    This method allows columns to define custom rendering. The interface returned here ensures that the text used for filtering matches what the users sees (via the `GColumnRenderer.getFilterString(Object, Settings)` method).

    Note: some types should not make use of the aforementioned filter string. These types include the `Number` wrapper types, `Date` and `Enum`s. (This is because the filtering system works naturally with these types.) See `GColumnRenderer`.

    Specified by:
      `getColumnRenderer` in interface `DynamicTableColumn<DBRecord,Object,Object>`
    Overrides:
      `getColumnRenderer` in class `AbstractDynamicTableColumn<DBRecord,Object,Object>`
    Returns:
      the renderer

  - ### getValue

    public Object getValue(DBRecord rowObject, Settings settings, ServiceProvider serviceProvider) throws IllegalArgumentException
    Specified by:
      `getValue` in class `AbstractDynamicTableColumnStub<DBRecord,Object>`
    Throws:
      `IllegalArgumentException`

  - ### getColumnClass

    public Class<Object> getColumnClass()
    Description copied from interface: `DynamicTableColumn`
    Determines the class of object that is associated with this field (column).
    Specified by:
      `getColumnClass` in interface `DynamicTableColumn<DBRecord,Object,Object>`
    Overrides:
      `getColumnClass` in class `AbstractDynamicTableColumn<DBRecord,Object,Object>`
    Returns:
      the column class

  - ### getColumnName

    public String getColumnName()
    Description copied from interface: `DynamicTableColumn`
    Determines the unique column heading that may be used to identify a column instance. This name must be non-changing and is used to save/restore state information.
    Specified by:
      `getColumnName` in interface `DynamicTableColumn<DBRecord,Object,Object>`
    Specified by:
      `getColumnName` in class `AbstractDynamicTableColumn<DBRecord,Object,Object>`
    Returns:
      the field instance name.

  - ### getByteString

    protected String getByteString(byte b)